org.springframework.data.repository.core.support

## Class ReactiveRepositoryFactorySupport

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFactorySupport
  - - org.springframework.data.repository.core.support.ReactiveRepositoryFactorySupport

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, BeanFactoryAware

    public abstract class ReactiveRepositoryFactorySupport
    extends RepositoryFactorySupport

Base class for repository factories to use reactive support. Centralizes the validation of the classpath setup in case a repository uses reactive types.

Since:
  2.0
Author:
  Mark Paluch, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`ReactiveRepositoryFactorySupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setEvaluationContextProvider(QueryMethodEvaluationContextProvider evaluationContextProvider)` Sets the `QueryMethodEvaluationContextProvider` to be used to evaluate SpEL expressions in manually defined queries.
`protected void` `validate(RepositoryMetadata repositoryMetadata)`

### Methods inherited from class org.springframework.data.repository.core.support.RepositoryFactorySupport

`addInvocationListener, addQueryCreationListener, addRepositoryProxyPostProcessor, getEntityInformation, getProjectionFactory, getQueryLookupStrategy, getQueryMethods, getRepository, getRepository, getRepository, getRepositoryBaseClass, getRepositoryFragments, getRepositoryInformation, getRepositoryMetadata, getTargetRepository, getTargetRepositoryViaReflection, getTargetRepositoryViaReflection, setBeanClassLoader, setBeanFactory, setNamedQueries, setQueryLookupStrategyKey, setRepositoryBaseClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveRepositoryFactorySupport

    public ReactiveRepositoryFactorySupport()

### Method Detail

#### validate

    protected void validate(RepositoryMetadata repositoryMetadata)

Overrides:
  `validate` in class `RepositoryFactorySupport`

#### setEvaluationContextProvider

    public void setEvaluationContextProvider(QueryMethodEvaluationContextProvider evaluationContextProvider)

Sets the `QueryMethodEvaluationContextProvider` to be used to evaluate SpEL expressions in manually defined queries.

Overrides:
  `setEvaluationContextProvider` in class `RepositoryFactorySupport`
Parameters:
  `evaluationContextProvider` - can be null, defaults to `ReactiveQueryMethodEvaluationContextProvider#INSTANCE`.